Subject: bug#25288: 25.1; term, ansi-term, broken output of utf8 text

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Dec 2016 21:31:14 +0200

> From: [email-masked]
> Date: Wed, 28 Dec 2016 14:10:30 -0500
> Cc: [email-masked]
> 
> Is there a way to recognize incomplete decoding from lisp?  I can't see
> any.

If you know the encoding of the byte stream (and term.el must, since
it evidently decodes it later on), then you could probably use
char-charset, after decoding: if you get 'eight-bit, then you've got
incomplete byte sequence.  But I didn't try that.